# class DRb::ExtServ

### Attributes

server[R]

### Public Class Methods

new(there, name, server=nil) click to toggle source
Calls superclass method `MonitorMixin::new`

    # File lib/drb/extserv.rb, line 15
    def initialize(there, name, server=nil)
      super()
      @server = server || DRb::primary_server
      @name = name
      ro = DRbObject.new(nil, there)
      synchronize do
        @invoker = ro.register(name, DRbObject.new(self, @server.uri))
      end
    end

### Public Instance Methods

alive?() click to toggle source

    # File lib/drb/extserv.rb, line 40
    def alive?
      @server ? @server.alive? : false
    end

front() click to toggle source

    # File lib/drb/extserv.rb, line 26
    def front
      DRbObject.new(nil, @server.uri)
    end

stop_service() click to toggle source

    # File lib/drb/extserv.rb, line 30
    def stop_service
      synchronize do
        @invoker.unregister(@name)
        server = @server
        @server = nil
        server.stop_service
        true
      end
    end